%define	module	XML-Dumper
%define	name	perl-%{module}
%define	version	0.79
%define	release	1mdk

Summary:	Perl module for dumping Perl objects from/to XML
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/E/EI/EISEN/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-XML-Parser perl-Compress-Zlib
BuildArch: 	noarch

%description
Perl module for dumping Perl objects from/to XML.
Needed by eGrail.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} -pi -e s,/usr/local/bin/perl,/usr/bin/perl, *.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/

%changelog
* Mon Sep 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.79-1mdk
- 0.79

* Fri Jul 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.76-1mdk
- 0.76

* Mon Jun 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.74-1mdk
- 0.74

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.71-1mdk
- 0.71
- drop prefix and distribution tag
- drop redundant requires
- cosmetics

* Fri Dec 19 2003 Michael Scherer <misc@mandrake.org> 0.67-3mdk
- Fix BuildRequires ( perl-Compress-Zlib )

* Mon Sep 01 2003 Franois Pons <fpons@mandrakesoft.com> 0.67-2mdk
- fixed requires on /usr/local/bin/perl.
- using %%makeinstall_std.

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.67-1mdk
- 0.67.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-6mdk
- rebuild for new auto{prov,req}

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.4-5mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires: perl-devel perl-XML-Parser

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-3mdk
- Fixed an error in changelog.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-2mdk
- Clean up spec.
- Fixed distribution tag.
- Needed by eGrail.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Newly introduced for Foomatic.
